| Home | Libraries | People | FAQ | More

##### remove_erase

###### Prototype

    template<class Container, class Value>
    Container& remove_erase(Container& target,
                            const Value& value);

###### Description

`remove_erase` actually eliminates the elements equal to `value` from the container. This is in contrast to the `remove` algorithm which merely rearranges elements.

###### Definition

Defined in the header file `boost/range/algorithm_ext/erase.hpp`

###### Requirements

1. `Container` supports erase of an iterator range.

###### Complexity

Linear. Proportional to `distance(target)`s.